# Application package lifecycle and operation granting API

This repository contains OpenAPIs descriptions for the interfaces specified in ETSI GS MEC 010-2.

## Online resources

* [Specification document](https://www.etsi.org/deliver/etsi_gs/MEC/001_099/01002/03.01.01_60/gs_MEC01002v030101p.pdf)


## Navigate with Swagger UI
* [App Package management API](https://forge.etsi.org/swagger/ui/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppPkgMgmt.yaml).
* [App Lifecycle management API](https://forge.etsi.org/swagger/ui/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppLcm.yaml).
* [App Operation Granting API](https://forge.etsi.org/swagger/ui/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppGrant.yaml).

## Navigate with Redocly
* [App Package management API](https://redocly.github.io/redoc/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppPkgMgmt.yaml&nocors).
* [App Lifecycle management API](https://redocly.github.io/redoc/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppLcm.yaml&nocors).
* [App Operation Granting API](https://redocly.github.io/redoc/?url=https://forge.etsi.org/rep/mec/gs010-2-app-pkg-lcm-api/raw/v2.2.1/MEC010-2_AppGrant.yaml&nocors).

## License 

Unless specified otherwise, the content of this repository and the files contained are released under the BSD-3-Clause license.
See the attached LICENSE file or visit https://forge.etsi.org/legal-matters.

